%define _bindir /bin

Summary:	The GNU versions of grep pattern matching utilities
Name:		grep
Version:	2.6.3
Release:	%mkrel 1
License:	GPLv3
Group:		Text tools
URL:		http://www.gnu.org/software/grep/grep.html
Source0:	ftp://ftp.gnu.org/pub/gnu/grep/%{name}-%{version}.tar.xz
Source1:	%{SOURCE0}.sig
#Patch8:		grep-2.5.1a-mbcset.diff
# patches from debian
Patch100:	2-man_rgrep.patch
Patch101:	55-bigfile.patch
Patch103:	61-dfa.c-case_fold-charclass.patch
Patch104:	63-dfa.c-case_fold-range.patch
Patch105:	64-egf-speedup.patch
Patch106:	65-dfa-optional.patch
Patch107:	66-match_icase.patch
Patch108:	67-w.patch
Patch110:	70-man_apostrophe.patch
# git patches
# (none)
# Mandriva patches
# (eugeni) skip multibyte check for nowas it is failing with grep 2.6.1 on buildsystem
Patch301:	grep-2.6.1-skip_multibyte_check.patch
BuildRequires:	gettext
BuildRequires:	pcre-devel
BuildRequires:	texinfo
BuildRequires:	bison
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The GNU versions of commonly used grep utilities.  Grep searches one or
more input files for lines which contain a match to a specified pattern
and then prints the matching lines.  GNU's grep utilities include grep,
egrep and fgrep.

You should install grep on your system, because it is a very useful utility
for searching through text files, for system administration tasks, etc.

%package doc
Summary:	Grep documentation in info format
Group:		Books/Computer books
Requires(post):	info-install
Requires(preun):	info-install

%description doc
The GNU versions of commonly used grep utilities.  Grep searches one or
more input files for lines which contain a match to a specified pattern
and then prints the matching lines.  GNU's grep utilities include grep,
egrep and fgrep.

You should install grep on your system, because it is a very useful utility
for searching through text files, for system administration tasks, etc.

Install this package if you want info documentation on grep.

%prep

%setup -q

#%patch8 -p0 -b .mbcset

#%patch100 -p0
#%patch101 -p0
%patch103 -p1
# eugeni: seems to be fixed upstream, but let's leave them for a couple of released to make sure
#%patch104 -p0
#%patch105 -p0
#%patch106 -p0
#%patch107 -p0
#%patch108 -p0
#%patch110 -p0
# (eugeni) our build system does not likes the multibyte test
#%patch301 -p1 -b .skip

%build
%configure2_5x \
    --without-included-regex \
    --without-included-getopt \
    --without-included-gettext \
    --enable-perl-regexp \
    --exec-prefix=/

%make

%check
make check

%install
rm -rf %{buildroot}

%makeinstall_std

%find_lang %{name}

%post doc
%_install_info %{name}.info

%preun doc
%_remove_install_info %{name}.info

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/*/*

%files doc
%defattr(-,root,root)
%doc AUTHORS THANKS TODO NEWS README ChangeLog
%{_infodir}/*.info*


%changelog
* Sat Apr 03 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 2.6.3-1mdv2010.1
+ Revision: 530875
- update to new version 2.6.3
- disable patches 100, 110 and 301 for now

  + Eugeni Dodonov <eugeni@mandriva.com>
    - Updated to 2.6.2.

* Sun Mar 28 2010 Eugeni Dodonov <eugeni@mandriva.com> 2.6.1-3mdv2010.1
+ Revision: 528538
- Added upstream patch for --exclude/--include crash.

* Sun Mar 28 2010 Eugeni Dodonov <eugeni@mandriva.com> 2.6.1-2mdv2010.1
+ Revision: 528349
- Skip multibyte check for now as it breaks on our build system.
- P200: fix failing multibyte test.
- Updated to 2.6.1.
  Sync patches.

* Wed Mar 24 2010 Eugeni Dodonov <eugeni@mandriva.com> 2.6-1mdv2010.1
+ Revision: 526985
- Updated to 2.6.
  Drop merged patches.

* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 2.5.4-3mdv2010.1
+ Revision: 519007
- rebuild

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 2.5.4-2mdv2010.0
+ Revision: 425025
- rebuild

* Tue Feb 24 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 2.5.4-1mdv2009.1
+ Revision: 344581
- update to new version 2.5.4
- new license policy
- add buildrequires on bison
- patches 12 and 111 were merged by upstream
- patches 11, 13 and 109 were fixed differently by upstream
- add more docs

* Sat Dec 20 2008 Oden Eriksson <oeriksson@mandriva.com> 2.5.3-8mdv2009.1
+ Revision: 316758
- rediffed some fuzzy patches
- fix build with -Werror=format-security (P112)

* Fri Oct 10 2008 Pixel <pixel@mandriva.com> 2.5.3-7mdv2009.1
+ Revision: 291349
- fix configure issue that was breaking patch106 (thanks to ubuntu, cf #44592)

* Tue Jul 15 2008 Oden Eriksson <oeriksson@mandriva.com> 2.5.3-6mdv2009.0
+ Revision: 235868
- fix #41922 (grep : option "-i"  doesn' t work with some locales)
- added P13 from gentoo

* Sun Jul 06 2008 Oden Eriksson <oeriksson@mandriva.com> 2.5.3-5mdv2009.0
+ Revision: 232129
- fix broken tests (P4)
- added P110,P111 from debian

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Sat Mar 08 2008 Anssi Hannula <anssi@mandriva.org> 2.5.3-3mdv2008.1
+ Revision: 182053
- buildrequires pcre-devel for -P support (fixes #38657)

* Tue Jan 22 2008 Pixel <pixel@mandriva.com> 2.5.3-2mdv2008.1
+ Revision: 156205
- re-enable perl regexp for grep -P ("make check" do work due to patch11) (#36993)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Nov 12 2007 Pixel <pixel@mandriva.com> 2.5.3-1mdv2008.1
+ Revision: 108146
- new release 2.5.3
- adapt failing tests
- remove configure option --without-included-regex (it is the default)
- add configure option --disable-perl-regexp (as done in debian)
- add patches from debian
- replace patch2 (oi: icase) with one from debian
- drop applied patches: patch3 (manpage), patch6 (P), patch9 (skip-devices)
- drop unneeded patches: patch1 (i18n), patch4 (color), patch5 (icolor)
- drop patch7 (wordmatch) hopefully fixed in 64-egf-speedup.patch
- drop patch10 and don't rename "no" to "nb" anymore
  ("nb" users should have LANGUAGE=nb:no)


* Tue Jan 30 2007 Götz Waschk <waschk@mandriva.org> 2.5.1a-2mdv2007.0
+ Revision: 115444
- Import grep

* Tue Jan 30 2007 Götz Waschk <waschk@mandriva.org> 2.5.1a-2mdv2007.1
- unpack patches

* Mon May 22 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.5.1a-2mdk
- sync some fedora & suse patches
- %%mkrel
- move 'make check' to new %%check stage
- fix post & preun requires

* Wed Dec 22 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.5.1a-1mdk
- 2.5.1a
- fix summary-ended-with-dot
- do test
- cosmetics

* Fri May 28 2004 Abel Cheung <deaddog@deaddog.org> 2.5.1-5mdk
- Drop patch0 (useless now)
- Updated patch1 from openi18n
- Don't bundle horribly outdated (4yrs+) translations
- Remove unnecessary (Build)Requires
- (Should grep use included regex library?)

